#ckwg +4
# Copyright 2010 by Kitware, Inc. All Rights Reserved. Please refer to
# KITWARE_LICENSE.TXT for licensing information, or contact General Counsel,
# Kitware, Inc., 28 Corporate Drive, Clifton Park, NY 12065.

# Locate the system installed XLNT
# The following variables will be set:
#
# XLNT_FOUND       - Set to true if XLNT can be found
# XLNT_INCLUDE_DIR - The path to the XLNT header files
# XLNT_LIBRARY     - The full path to the XLNT library

if( XLNT_DIR )
  if( XLNT_FIND_VERSION )
    find_package( XLNT ${XLNT_FIND_VERSION} NO_MODULE)
  else()
    find_package( XLNT NO_MODULE)
  endif()
elseif( NOT XLNT_FOUND )
  message(STATUS "Searching for xlnt.hpp")
  find_path( XLNT_INCLUDE_DIR xlnt )
  message(STATUS "Searching for xlnt.hpp - ${XLNT_INCLUDE_DIR}")
                    
  message(STATUS "Searching for libXLNT")
  find_library( XLNT_LIBRARY xlnt )
  message(STATUS "Searching for libXLNT - ${XLNT_LIBRARY}")
  
  include( FindPackageHandleStandardArgs )
  FIND_PACKAGE_HANDLE_STANDARD_ARGS( XLNT XLNT_INCLUDE_DIR XLNT_LIBRARY )
endif()
