#ifndef ARTICLE_H
#define ARTICLE_H

#include "entityuuid.h"

#include <memory>
#include <string>

class Seller;
class Sale;

class Article : public EntityUuid
{
  public:
    Article() = default;
    Article(int price);
    Article(const Article&) = delete;
    virtual ~Article() = default;

    void setArticleNo(int articleNo);
    void setPrice(int price);
    void setDescription(const std::string& description);
    bool isSold();
    void setSale(Sale* salePtr);
    void setSeller(Seller* sellerPtr);

    int getArticleNo() const;
    std::string getCompleteArticleNo() const;
    std::string getDescription();
    Seller* getSeller();
    Sale* getSale();
    int getPrice() const;
    std::string getPriceAsString() const;

  private:
    Seller* sellerPtr_{};
    Sale* salePtr_{};
    int articleNo_{};
    int price_{};
    std::string description_{};
};

#endif

