#ifndef REPORT_DIALOG_H
#define REPORT_DIALOG_H

#include "ui_reportdialog.h"

#include "reportmodel.h"

#include <core/marketplace.h>

#include <QDialog>

class ReportDialog : public QDialog
{
    Q_OBJECT

  public:
    ReportDialog(QWidget* parent = nullptr,
                 Qt::WindowFlags f = Qt::WindowTitleHint | Qt::WindowSystemMenuHint);

  private slots:
    void onExportCsvButtonClicked();
    void onPrintReportButtonClicked();
    void onPrintSellerReceiptButtonClicked();
    void onReportViewSelectionChanged(const QItemSelection& selected,
                                      const QItemSelection& deselected);

  private:
    Ui::ReportDialog ui_;
    Marketplace* market_;
    std::unique_ptr<ReportModel> model_;
};

#endif
