#ifndef REPORT_MODEL_H
#define REPORT_MODEL_H

#include <core/marketplace.h>

#include <QAbstractTableModel>

class ReportModel : public QAbstractTableModel
{
  public:
    explicit ReportModel(Marketplace* market, QObject* parent = nullptr);
    virtual int rowCount(const QModelIndex& parent = QModelIndex()) const override;
    virtual int columnCount(const QModelIndex& parent = QModelIndex()) const override;
    virtual QVariant data(const QModelIndex& index, int role = Qt::DisplayRole) const override;
    virtual QVariant headerData(int section, Qt::Orientation orientation, int role) const override;

  private:
    Marketplace* market_;
    int feeInPercent_{};
    int maxFeeInCent_{};
};

#endif
