#ifndef SELLER_DIALOG_H
#define SELLER_DIALOG_H

#include "ui_sellerdialog.h"

#include "sellermodel.h"

#include <memory>

#include <QDialog>

class SellerDialog : public QDialog
{
    Q_OBJECT

  public:
    SellerDialog(QWidget* parent = nullptr,
                 Qt::WindowFlags f = Qt::WindowTitleHint | Qt::WindowSystemMenuHint);

  private slots:
    void onSellerViewSelectionChanged(const QItemSelection& selected,
                                      const QItemSelection& deselected);

  private:
    void on_newButton_clicked();
    void on_deleteButton_clicked();
    void on_model_duplicateSellerNo(const QString& message);
    virtual void accept() override;
    Ui::SellerDialog ui_;
    Marketplace* market_;
    std::unique_ptr<SellerModel> model_;
};

#endif